Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 26/09/2021, à 00:00

caricion

[Résolu] Upgrade impossible

Bonjour,


j'ai deux ordinateurs sur Lubuntu et depuis quelques jours sur l'un de deux je n'arrive plus à mettre à jour avec le message suivant (pas de souci sur l'autre) :



Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.

Error Resume:
Eror Code: error-no-cache
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Error Detail: E:The package net.downloadhelper.coapp needs to be reinstalled, but I can't find an archive for it.



Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Eror Code: error-no-cache
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Error Detail: E:The package net.downloadhelper.coapp needs to be reinstalled, but I can't find an archive for it.
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Eror Code: error-no-cache
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Error Detail: E:The package net.downloadhelper.coapp needs to be reinstalled, but I can't find an archive for it.
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Eror Code: error-no-cache
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.
Error Detail: E:The package net.downloadhelper.coapp needs to be reinstalled, but I can't find an archive for it.
Failed to load the package list
This is a serious problem. Try again later. If this problem appears again, please report an error to the developers.

voila voila

j'ai essayé avec "Muon" et il me dit qu'il ne peut pas télécharger les paquets.
Pa r contre il arrive à les trouver (me dire ceux qui doivent être MAJ)
et je n'arrive pas non plus à supprimer et reinstaller net.downloadhelper.coapp
j'ai de l'espace sur la partition linux et les autres

je ne comprends pas

merci de votre aide

Dernière modification par caricion (Le 29/09/2021, à 22:43)

Hors ligne

#2 Le 26/09/2021, à 01:22

abelthorne

Re : [Résolu] Upgrade impossible

Quand tu postes des retours, mets-les entre balises Code pour que ce soit plus lisible (les chevrons <> bleus dans la barre de mise en forme).

Il semblerait qu'il y ait un problème sur le paquet de downloadhelper qui est installé manuellement. On va faire une grosse vérification des dépôts/paquets. Commence par donner le retour de :

cat /etc/apt/sources.list
ls /etc/apt/sources.list.d
cat /etc/apt/sources.list.d/*.list

Hors ligne

#3 Le 26/09/2021, à 07:11

xubu1957

Re : [Résolu] Upgrade impossible

Bonjour,

Comme demandé dans le premier message du tutoriel Retour utilisable de commande

Pour ajouter toi-même les balises code à ton précédent message #1 :             Merci            wink

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1530289742.png

Dernière modification par xubu1957 (Le 29/09/2021, à 20:31)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#4 Le 26/09/2021, à 08:39

FrancisFDZ

Re : [Résolu] Upgrade impossible

Bonjour,
Il pourrait être utile de connaitre le retour de

sudo apt update

Dernière modification par FrancisFDZ (Le 26/09/2021, à 08:40)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#5 Le 29/09/2021, à 20:21

caricion

Re : [Résolu] Upgrade impossible

Bonjour,

ci-après les réponses aux différentes commandes proposées :

sudo apt update
10,7 Mo réceptionnés en 8s (1414 ko/s)                                     
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
37 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
cat /etc/apt/sources.list
# Automatically generated by Calamares on 2020-10-04.                                                           
# Lines starting with "deb" are mandatory, while lines starting with "deb-src"                                  
# are for more detailed package information.                                                                    
                                                                                                                
## See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
## newer versions of Lubuntu.
deb http://archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of Lubuntu.
## Have you noticed a regression? Please report it!
## https://wiki.ubuntu.com/StableReleaseUpdates#Regressions
deb http://archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://archive.ubuntu.com/ubuntu/ focal-updates main restricted

## Software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu team.
## Also, please note that software in Universe WILL NOT receive any review or
## updates from the Ubuntu security team directly. Updates in this repository
## are provided by volunteers, but most come from Debian.
deb http://archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://archive.ubuntu.com/ubuntu/ focal universe
deb http://archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://archive.ubuntu.com/ubuntu/ focal-updates universe

## Software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu team,
## and may not be under a free licence. Please satisfy yourself as your rights
## to use the software. Also, please note that software in Multiverse WILL NOT
## receive any review or updates from the Ubuntu security team directly.
deb http://archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ focal multiverse
deb http://archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ focal-updates multiverse

## Software from this repository contains tested security updates from the
## Ubuntu security team.
deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse

## Software from this repository may not have been tested as extensively as
## software contained in the main release, although it includes newer versions
## of some applications which may provide useful features. Also, please note
## that software in Backports WILL NOT receive any review or updates from the
## Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## "partner" repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner
ls /etc/apt/sources.list.d
vincent-vandevyvre-ubuntu-vvv-focal.list
cat /etc/apt/sources.list.d/*.list
deb http://ppa.launchpad.net/vincent-vandevyvre/vvv/ubuntu focal main
# deb-src http://ppa.launchpad.net/vincent-vandevyvre/vvv/ubuntu focal main

Que me conseillez vous ?

Hors ligne

#6 Le 29/09/2021, à 20:29

xubu1957

Re : [Résolu] Upgrade impossible

Bonjour,

Donne le retour complet de :

sudo apt update
Le 29/03/2018, moko138 a écrit :

Un retour complet doit contenir toutes les lignes,
depuis celle, entière, de la commande
jusqu'à la ligne attendant la commande suivante
, exemple :

moi@mon-pc~$: ma-commande
son retour
moi@mon-pc~$:

Faute de quoi, il manque souvent à ceux qui tentent de t'aider des éléments essentiels.

(Plus de détails dans ce message-ci Retour utilisable de commande.)

Et si tu ne veux pas divulguer ton nom d'user, tu le remplaces par "toto" ou ce que tu veux.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#7 Le 29/09/2021, à 20:39

caricion

Re : [Résolu] Upgrade impossible

xubu1957 a écrit :

Bonjour,

Donne le retour complet de :

sudo apt update
Le 29/03/2018, moko138 a écrit :

Un retour complet doit contenir toutes les lignes,
depuis celle, entière, de la commande
jusqu'à la ligne attendant la commande suivante
, exemple :

moi@mon-pc~$: ma-commande
son retour
moi@mon-pc~$:

Faute de quoi, il manque souvent à ceux qui tentent de t'aider des éléments essentiels.

(Plus de détails dans ce message-ci Retour utilisable de commande.)

Et si tu ne veux pas divulguer ton nom d'user, tu le remplaces par "toto" ou ce que tu veux.




toto@toto-hp:~$ sudo apt update
[sudo] Mot de passe de toto : 
Atteint :1 http://archive.ubuntu.com/ubuntu focal InRelease
Atteint :2 http://ppa.launchpad.net/vincent-vandevyvre/vvv/ubuntu focal InRelease          
Atteint :3 http://archive.ubuntu.com/ubuntu focal-updates InRelease                        
Atteint :4 http://archive.ubuntu.com/ubuntu focal-backports InRelease 
Atteint :5 http://security.ubuntu.com/ubuntu focal-security InRelease
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
37 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
toto@toto-hp:~$

Dernière modification par caricion (Le 29/09/2021, à 20:40)

Hors ligne

#8 Le 29/09/2021, à 20:40

xubu1957

Re : [Résolu] Upgrade impossible

Essaye :

sudo apt full-upgrade

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#9 Le 29/09/2021, à 21:06

caricion

Re : [Résolu] Upgrade impossible

xubu1957 a écrit :

Essaye :

sudo apt full-upgrade


Déjà tenté

toto@toto-hp:~$ sudo apt full-upgrade
[sudo] Mot de passe de toto : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Le paquet net.downloadhelper.coapp doit être réinstallé, mais il est impossible de trouver son archive.
toto@toto-hp:~$ 

Hors ligne

#10 Le 29/09/2021, à 21:26

abelthorne

Re : [Résolu] Upgrade impossible

Le problème est de toute façon sur le paquet de downloadhelper, ça ne sert à rien de faire des update/full-upgrade pour le moment, il faut supprimer le paquet. Mais je voulais vérifier si les dépôts étaient ok avant.

Donc, essaie de le supprimer (et donne le retour) :

sudo apt-get remove --purge net.downloadhelper.coapp

Hors ligne

#11 Le 29/09/2021, à 21:47

caricion

Re : [Résolu] Upgrade impossible

toto@toto-hp:~$ sudo apt-get remove --purge net.downloadhelper.coapp
[sudo] Mot de passe de toto : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Le paquet net.downloadhelper.coapp doit être réinstallé, mais il est impossible de trouver son archive.
toto@toto-hp:~$ 

je crois me souvenir qu'il s'agit d'un module d'une extension de firefox ....

Hors ligne

#12 Le 29/09/2021, à 21:51

xubu1957

Re : [Résolu] Upgrade impossible

Montre les extensions :

grep -oP '},"name":"\K[^"]+' ~/.mozilla/firefox/*.*default*/addons.json

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#13 Le 29/09/2021, à 21:56

abelthorne

Re : [Résolu] Upgrade impossible

C'est une extension de Firefox mais qui s'installe et fonctionne en tant qu'appli tierce (en deb sur Ubuntu). Je ne sais pas à quel point elle s'intègre à Firefox, a priori il y a l'extension dans le navigateur + l'appli à laquelle elle fait appel. Dans tous les cas, c'est la partie deb qui est problématique.

On va essayer de réinstaller le deb manuellement. Télécharge-le là : https://www.downloadhelper.net/install-coapp
Le fichier sera dans ton dossier Téléchargements, essaie de le réinstaller comme ça :

sudo dpkg -i ~/Téléchargements/net.downloadhelper.coapp-1.6.3-1_amd64.deb
sudo apt-get install -f

Dernière modification par abelthorne (Le 29/09/2021, à 21:58)

Hors ligne

#14 Le 29/09/2021, à 22:37

caricion

Re : [Résolu] Upgrade impossible

abelthorne a écrit :

C'est une extension de Firefox mais qui s'installe et fonctionne en tant qu'appli tierce (en deb sur Ubuntu). Je ne sais pas à quel point elle s'intègre à Firefox, a priori il y a l'extension dans le navigateur + l'appli à laquelle elle fait appel. Dans tous les cas, c'est la partie deb qui est problématique.

On va essayer de réinstaller le deb manuellement. Télécharge-le là : https://www.downloadhelper.net/install-coapp
Le fichier sera dans ton dossier Téléchargements, essaie de le réinstaller comme ça :

sudo dpkg -i ~/Téléchargements/net.downloadhelper.coapp-1.6.3-1_amd64.deb
sudo apt-get install -f


Bon eh bien ça a marché ...
par contre le deb était déjà dans mes téléchargements ...

c'est peut être cette installation qui ne lui a pas convenu ....



en tout cas le full upgrade est passé ...

Merci


Comment passer le message en résolu ?

Hors ligne

#15 Le 29/09/2021, à 22:40

xubu1957

Re : [Résolu] Upgrade impossible

Pour éditer ta discussion et rajouter [Résolu] au début du titre, il faut utiliser le bouton Modifier au bas de ton premier message.

Merci wink


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#16 Le 30/09/2021, à 09:16

abelthorne

Re : [Résolu] Upgrade impossible

On va quand même faire une petite vérif supplémentaire. Donne le retour de :

apt list | grep "installé, local"

Hors ligne

#17 Le 30/09/2021, à 22:54

caricion

Re : [Résolu] Upgrade impossible

abelthorne a écrit :

On va quand même faire une petite vérif supplémentaire. Donne le retour de :

apt list | grep "installé, local"
toto@toto-hp:~$ apt list | grep "installé, local"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

net.downloadhelper.coapp/now 1.6.3 amd64  [installé, local]
secureboot-db/now 1.6~20.04.1 amd64  [installé, local]
toto@toto-hp:~$

Hors ligne

#18 Le 30/09/2021, à 23:10

abelthorne

Re : [Résolu] Upgrade impossible

Rien de problématique, il y a juste secureboot-db qui devrait être remis à la version des dépôts. Donne le retour de :

apt-cache policy secureboot-db

Hors ligne

#19 Le 01/10/2021, à 00:48

caricion

Re : [Résolu] Upgrade impossible

abelthorne a écrit :

Rien de problématique, il y a juste secureboot-db qui devrait être remis à la version des dépôts. Donne le retour de :

apt-cache policy secureboot-db



toto@toto-hp:~$ apt-cache policy secureboot-db
secureboot-db:
  Installé : 1.6~20.04.1
  Candidat : 1.6~20.04.1
Table de version :
*** 1.6~20.04.1 100
        100 /var/lib/dpkg/status
     1.5 500
        500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
toto@toto-hp:~$

Hors ligne

#20 Le 01/10/2021, à 09:23

abelthorne

Re : [Résolu] Upgrade impossible

On va le repasser à la version des dépôts et ça devrait être bon :

sudo apt-get install --reinstall secureboot-db=1.5

Hors ligne